服务器部署问题,急,在线等

1144997699 26天前 145

执行bin\wildfirechat.bat 安装时报错:

java.lang.StringIndexOutOfBoundsException: String index out of range: 0  at java.lang.String.charAt(Unknown Source)  at com.xiaoleilu.loServer.action.FileAction.getFileByPath(FileAction.java:113)  at com.xiaoleilu.loServer.action.FileAction.action(FileAction.java:49)  at com.xiaoleilu.loServer.action.Action.doAction(Action.java:65)  at com.xiaoleilu.loServer.handler.ActionHandler.doAction(ActionHandler.java:142)  at com.xiaoleilu.loServer.handler.ActionHandler.channelRead0(ActionHandler.java:52)  at com.xiaoleilu.loServer.handler.ActionHandler.channelRead0(ActionHandler.java:31)  at io.netty.channel.SimpleChannelInboundHandler.channelRead(SimpleChannelInboundHandler.java:105)  at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)  at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)  at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)  at io.netty.handler.codec.MessageToMessageDecoder.channelRead(MessageToMessageDecoder.java:102)  at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)  at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)  at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)  at io.netty.channel.ChannelInboundHandlerAdapter.channelRead(ChannelInboundHandlerAdapter.java:86)  at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)  at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)  at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)  at io.netty.handler.codec.ByteToMessageDecoder.fireChannelRead(ByteToMessageDecoder.java:310)  at io.netty.handler.codec.ByteToMessageDecoder.channelRead(ByteToMessageDecoder.java:284)  at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)  at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)  at io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)  at io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)  at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)  at io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)  at io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)  at io.netty.channel.nio.AbstractNioByteChannel$NioByteUnsafe.read(AbstractNioByteChannel.java:134)  at io.netty.channel.nio.NioEventLoop.processSelectedKey(NioEventLoop.java:644)  at io.netty.channel.nio.NioEventLoop.processSelectedKeysOptimized(NioEventLoop.java:579)  at io.netty.channel.nio.NioEventLoop.processSelectedKeys(NioEventLoop.java:496)  at io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:458)  at io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858)  at io.netty.util.concurrent.DefaultThreadFactory$DefaultRunnableDecorator.run(DefaultThreadFactory.java:138)  at java.lang.Thread.run(Unknown Source)

上传的附件:
最新回复 (5)
  • HeavyRain 25天前
    引用 2
    这个错误在最新代码已经修改,下载最新代码编译可以避免这个提示。

    另外bin\wildfirechat.bat是启动服务,不是安装。除了这个异常提示外还有没有别的异常信息?
  • 1144997699 24天前
    引用 3
    HeavyRain 这个错误在最新代码已经修改,下载最新代码编译可以避免这个提示。 另外bin\wildfirechat.bat是启动服务,不是安装。除了这个异常提示外还有没有别的异常信息?
    是的,除了这个异常提示就没有别异常信息了。最新代码在哪下载呢? 下载后需要编译?没有提供最新编译好的软件包吗?
  • x86 24天前
    引用 4
    最新代码在这儿:
    https://github.com/wildfirechat/server
  • 1144997699 23天前
    引用 5
    x86 最新代码在这儿: https://github.com/wildfirechat/server
    下载了最新代码编译,还是一样这个异常信息
  • 1144997699 23天前
    引用 6
    x86 最新代码在这儿: https://github.com/wildfirechat/server
    没办法只能下载0.41版的了,0.41版没有这个错误
返回